### Method

# Gtk TextViewget_line_at_y

#### Declaration [src]

    void
    gtk_text_view_get_line_at_y (
      GtkTextView* text_view,
      GtkTextIter* target_iter,
      int y,
      int* line_top
    )

#### Description [src]

Gets the `GtkTextIter` at the start of the line containing the coordinate `y`.

`y` is in buffer coordinates, convert from window coordinates with `gtk_text_view_window_to_buffer_coords()`. If non-`NULL`, `line_top` will be filled with the coordinate of the top edge of the line.

#### Parameters

`target_iter`

  Type: `GtkTextIter`

  A `GtkTextIter`

  The argument will be set by the function.
  The data is owned by the instance.

`y`

  Type: `int`

  A y coordinate.

`line_top`

  Type: `int*`

  Return location for top coordinate of the line.

  The argument will be set by the function.